Security Enhanced Linux Reference Policy

# Layer: admin

## Module: rpm

Interfaces

### Description:

Redhat package manager.

### Interfaces:

rpm_admin( domain , role )

##### Summary

All of the rules required to administrate an rpm environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

rpm_append_log( domain )

##### Summary

Append rpm log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpm_append_tmp_files( domain )

##### Summary

Append rpm temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpm_dbus_chat( domain )

##### Summary

Send and receive messages from rpm over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpm_debuginfo_domtrans( domain )

##### Summary

Execute debuginfo install in the rpm domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

rpm_delete_db( domain )

##### Summary

Delete rpm lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpm_domtrans( domain )

##### Summary

Execute rpm in the rpm domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

rpm_domtrans_script( domain )

##### Summary

Execute rpm scripts in the rpm script domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

rpm_dontaudit_dbus_chat( domain )

##### Summary

Do not audit attempts to send and receive messages from rpm over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

rpm_dontaudit_manage_db( domain )

##### Summary

Do not audit attempts to create, read, write, and delete rpm lib content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

rpm_exec( domain )

##### Summary

Execute the rpm in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpm_manage_cache( domain )

##### Summary

Create, read, write, and delete rpm cache content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpm_manage_db( domain )

##### Summary

Create, read, write, and delete rpm lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpm_manage_log( domain )

##### Summary

Create, read, write, and delete rpm log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpm_manage_pid_files( domain )

##### Summary

Create, read, write, and delete rpm pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpm_manage_script_tmp_files( domain )

##### Summary

Create, read, write, and delete rpm script temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpm_manage_tmp_files( domain )

##### Summary

Create, read, write, and delete rpm temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpm_pid_filetrans_rpm_pid( domain , object_class , name )

##### Summary

Create specified objects in pid directories with the rpm pid file type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | Class of the object being created.
name | The name of the object being created.

rpm_read_cache( domain )

##### Summary

Read rpm cache content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpm_read_db( domain )

##### Summary

Read rpm lib content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpm_read_pid_files( domain )

##### Summary

Read rpm pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpm_read_pipes( domain )

##### Summary

Read rpm unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpm_read_script_tmp_files( domain )

##### Summary

Read rpm script temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpm_run( domain , role )

##### Summary

Execute rpm in the rpm domain, and allow the specified roles the rpm domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

rpm_rw_pipes( domain )

##### Summary

Read and write rpm unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpm_script_dbus_chat( domain )

##### Summary

Send and receive messages from rpm script over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpm_search_log( domain )

##### Summary

Search rpm log directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpm_signull( domain )

##### Summary

Send null signals to rpm.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpm_use_fds( domain )

##### Summary

Inherit and use file descriptors from rpm.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpm_use_script_fds( domain )

##### Summary

Inherit and use rpm script file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return